//====================================================================================================
// Project: SpotCaliper
// 
// Authors: Zsuzsanna Puspoki and Daniel Sage
// Organization: Biomedical Imaging Group (BIG), Ecole Polytechnique Federale de Lausanne
// Address: EPFL-STI-IMT-LIB, 1015 Lausanne, Switzerland
//
// Information: http://bigwww.epfl.ch/algorithms/spotcaliper/
//
// References:
// Zsuzsanna Puspoki et al.
// SpotCaliper: Fast Wavelet-based Spot Detection with Accurate Size Estimation 
// Bioinformatics Oxford, submitted in June 2015.
// Available at: http://bigwww.epfl.ch/publications/
//
// Conditions of use:
// You'll be free to use this software for research purposes, but you should not redistribute 
// it without our consent. In addition, we expect you to include a citation whenever you 
// present or publish results that are based on it.
//====================================================================================================
package spotcaliper.gui.components;

import java.awt.Color;

import javax.swing.BorderFactory;
import javax.swing.JEditorPane;
import javax.swing.JPanel;

public class TitlePane extends JEditorPane {

	public TitlePane(String msg) {
		Color color = new JPanel().getBackground();
		int r = color.getRed();
		int g = color.getRed();
		int b = color.getRed();
		setBorder(BorderFactory.createEtchedBorder());
		String html = "";
		html += "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 3.2//EN\">\n";
		html += "<html><head>\n";
		html += "<style>body {font-family:verdana arial;}</style>\n";
		html += "<style>h1 {text-align:center; font-size:1.25em; color:#333; font-weight:bold; padding:1px; margin:2px;}</style>\n";
		html += "<style>h2 {text-align:center; font-size:1.0em; font-weight:italic; padding:1px; margin:2px;}</style>\n";
		html += "<style>h3 {text-align:center; font-size:1.0em; font-weight:bold; padding:4px; margin:2px;}</style>\n";
		html += "<style>p {font-size:0.95em; padding:1px; margin:1px;}</style>\n";
		html += "</head>\n";
		html += "<body style=\"text-align:center;margin:8px;background-color: rgb(" + r + "," + g + "," + b + ")\">\n";
		html += "<h1>SpotCaliper</h1>";
		html += "<p>&copy; Biomedical Imaging Group, EPFL, 2015</p>";
		html += "<p>Version 2.0</p>";
		html += "</body></html>\n";
		setEditable(false);
		setContentType("text/html; charset=ISO-8859-1");
		setText(html);
	}
}
